VaryingVagrantVagrants – Nginx GPG key expired/invalid

Case: Error when provisioning VaryingVagrantVagrants vvv that the nginx.com repository is not signed and the nginx signing key – invalid.

Sample of the error:

W: GPG error: https://nginx.org/packages/mainline/ubuntu focal InRelease: The following signatures were invalid: EXPKEYSIG ABF5BD827BD9BF62 nginx signing key <signing-key@nginx.com> 
E: The repository 'https://nginx.org/packages/mainline/ubuntu focal InRelease' is not signed.

Continue reading VaryingVagrantVagrants – Nginx GPG key expired/invalid

Adding Another Keyboard Input Language Through The Command-Line on Gnu/Linux Debian

Instructions on adding additional input languages directly through the terminal. This edits the keyboard settings file for the X Window System. Steps tested on Debian 10 Buster, running AwesomeWM. Includes an example on adding a cyrillic keyboard layout.

Continue reading Adding Another Keyboard Input Language Through The Command-Line on Gnu/Linux Debian

Resolving: WordPress’ utf8mb4 support requires MySQL client library (libmysql) version 5.5.3 or newer.

Case: Running a WordPress 6.1.3 install on a cPanel shared web hosting. The page on WP-Admin -> Tools -> Site Health suggests “utf8mb4 requires newer client library”.

Continue reading Resolving: WordPress’ utf8mb4 support requires MySQL client library (libmysql) version 5.5.3 or newer.